Bug Hunting Session
Bug 122808 - CRASH while closing LibreOffice with Search for formatting dialog open ( gen/gtk )
Summary: CRASH while closing LibreOffice with Search for formatting dialog open ( gen/...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-01-18 16:48 UTC by Xisco Faulí
Modified: 2019-01-22 14:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (14.48 KB, text/plain)
2019-01-19 09:35 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-18 16:48:21 UTC
Steps to reproduce:
1. Open Writer
2. Search & Replace
3. Click on Format
4. Close LibreOffice
-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: cc7712ba4c70c035cbf080c5cf2f2eb6f9fe3eb1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-01-18 16:49:20 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4d83c24cdd433d5c63800290e2da6317ae12111c

author	Caolán McNamara <caolanm@redhat.com>	2018-11-02 18:21:20 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-04 17:33:06 +0100
commit	4d83c24cdd433d5c63800290e2da6317ae12111c (patch)
tree	bfd4c863f0f79d40ac1671812fef1976ca4a9c85
parent	628e96ce1fce194b30a5c2912feb8b7ec0328db0 (diff)
reweld SwWordCountFloatDlg

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Julien Nabet 2019-01-19 09:35:16 UTC
Created attachment 148431 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated yesterday and gen rendering, I could reproduce this.
Comment 3 Julien Nabet 2019-01-19 09:35:53 UTC
I noticed too:
warn:legacy.osl:5734:5734:vcl/source/window/window.cxx:275: Window ( 6Dialog(Search for formatting)) with live children destroyed:  7VclVBox()
Window ( 6Dialog(Search for formatting)) with live children destroyed:  7VclVBox()
Comment 4 Commit Notification 2019-01-21 13:02:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/820a3b52f6eb8b620a1430f3574f59e8072777bc%5E%21

tdf#122808 search formatting dialog should be modal

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2019-01-21 13:08:49 UTC
making it modal seems to do the right thing, backports in gerrit
Comment 6 Commit Notification 2019-01-21 13:10:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/706fc56e0cdfbdcca6374ead83685577afd276ff%5E%21

tdf#122808 search formatting dialog should be modal

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-21 14:22:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/459fb3e41fc46044c0bc5190a120dd479fa7d31a%5E%21

tdf#122808 search formatting dialog should be modal

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-01-22 14:40:21 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 392729c735bb82eecf29bae5527ec786ca293f34
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US

@Caolán, thanks for fixing this!!